aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtools/pwg_rel_create.sh50
-rw-r--r--tools/release_creation.readme50
2 files changed, 100 insertions, 0 deletions
diff --git a/tools/pwg_rel_create.sh b/tools/pwg_rel_create.sh
new file mode 100755
index 000000000..3e69a7aa2
--- /dev/null
+++ b/tools/pwg_rel_create.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# +--------------------------------------------------------------------------+
+# | pwg_rel_create.sh |
+# +--------------------------------------------------------------------------+
+# | author : Pierrick LE GALL <http://le-gall.net/pierrick> |
+# | project : PhpWebGallery |
+# +--------------------------------------------------------------------------+
+
+if [ $# -lt 2 ]
+then
+ echo
+ echo 'usage : '$(basename $0)' <tag> <version number>'
+ echo
+ exit 1
+fi
+
+tag=$1
+version=$2
+
+name=phpwebgallery-$version
+
+cd /tmp
+if [ -e $name ]
+then
+ rm -rf $name
+fi
+
+# cvs export -r $tag -d $name phpwebgallery
+svn export http://svn.gna.org/svn/phpwebgallery/tags/$tag $name
+# creating mysql.inc.php empty and writeable
+touch $name/include/mysql.inc.php
+chmod a+w $name/include/mysql.inc.php
+
+# find $name -name "*.php" \
+# | xargs grep -l 'branch 1.7' \
+# | xargs perl -pi -e "s/branch 1.7/${version}/g"
+
+for ext in zip tar.gz tar.bz2
+do
+ file=$name.$ext
+ if [ -f $file ]
+ then
+ rm $name
+ fi
+done
+
+zip -r $name.zip $name
+tar -czf $name.tar.gz $name
+tar -cjf $name.tar.bz2 $name
diff --git a/tools/release_creation.readme b/tools/release_creation.readme
new file mode 100644
index 000000000..3320bb094
--- /dev/null
+++ b/tools/release_creation.readme
@@ -0,0 +1,50 @@
+=====================================
+ PhpWebGallery release creation guide
+=====================================
+
+Technical creation
+==================
+
+I take release 1.7.0 as an example. In URLs "plg" is my personnal Gna!
+username, so use yours.
+
+- tag creation tags/release-1_7_0 :
+
+$ svn copy \
+ -r 1999 \
+ -m "Create release 1.7.0 from branch 1.7 r1999" \
+ svn+ssh://plg@svn.gna.org/svn/phpwebgallery/branch/branch-1_7 \
+ svn+ssh://plg@svn.gna.org/svn/phpwebgallery/tags/release-1_7_0
+
+- checkout new Subversion release 1.7.0
+
+$ svn co svn+ssh://plg@svn.gna.org/svn/phpwebgallery/tags/release-1_7_0 1.7.0
+$ cd 1.7.0
+
+- in include/config_default.inc.php, change the following parameters:
+ - $conf['check_upgrade_feed'] = false;
+ - $conf['show_version'] = false;
+ - $conf['show_gt'] = false;
+ - $conf['die_on_sql_error'] = false;
+
+- in include/constants.php, change the PHPWG_VERSION to 1.7.0
+
+- commit your changes to tags/release-1_7_0, with the following comment:
+
+> New version 1.7.0 hard coded.
+>
+> Stable release required modifications: don't show version and generation
+> time in footer, don't check the upgrade feed, don't die on sql errors.
+
+$ svn commit
+
+- create the release (pwg_rel_create.sh is in tools directory)
+
+$ mkdir /tmp/1.7.0
+$ cd /tmp/1.7.0
+$ pwg_rel_create.sh release-1_7_0 1.7.0
+$ md5sum p* > MD5SUMS
+
+- upload the release to Gna! download area
+
+$ scp -r /tmp/1.7.0 plg@download.gna.org:/upload/phpwebgallery/release/1.7/